<?php 

ini_set("display_errors", 1);
error_reporting(-1);
require_once 'config.php';
require_once 'functions.php';

// список тестиров
$tests = get_tests();

if( isset($_GET['test']) ){
	$test_id = (int)$_GET['test'];
	$test_data = get_test_data($test_id);
	if( is_array($test_data) ){
		$count_questions = count($test_data);
	}
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Система тестирования</title>
	<link rel="stylesheet" href="style.css">
</head>
<body>
	
<div class="wrap">
	
<?php if( $tests ): ?>
	<h3>Варианты тестов</h3>
	<?php foreach($tests as $test): ?>
		<p><a href="?test=<?=$test['id']?>"><?=$test['test_name']?></a></p>
	<?php endforeach; ?>

	<br><hr><br>
<div class="content">
	
<?php if( isset($test_data) ): ?>

	<?php if( is_array($test_data) ): ?>

		<p>Всего вопросов: <?=$count_questions?></p>

<div class="test-data">
	<?php print_arr($test_data) ?>
</div>

	<?php else: // is_array($test_data) ?>
		Тест в разработке
	<?php endif; // is_array($test_data) ?>

<?php else: // isset($test_data) ?>
	Выберите тест
<?php endif; // isset($test_data) ?>

</div>

<?php else: // $tests ?>
	<h3>Нет тестов</h3>
<?php endif; // $tests ?>

</div> <!-- .wrap -->

</body>
</html>